## dde-wloutput 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde_wloutput)

set(TARGET_NAME dde_wloutput)

add_executable(${TARGET_NAME} src/main.cpp)

find_package(KF5Wayland REQUIRED)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    DBus
REQUIRED)

target_link_libraries(${TARGET_NAME}  Qt5::Core)
target_link_libraries(${TARGET_NAME} KF5::WaylandClient KF5::WaylandServer)

=== debian/changelog ===
dde-wloutput (1.0.3-1) unstable; urgency=medium

  [ wubowen ]
  * Modify project name (Closes: #nnnn)  <nnnn is the bug number of your ITP>

  [ liuyong ]
  * update

 -- liuyong <liuyong@deepin.com>  Sat, 13 Aug 2022 14:11:29 +0800

dde-wloutput (0.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- liuyong <liuyong@deepin.com>  Tue, 21 Jan 2020 16:48:39 +0800

=== debian/control ===
Source: dde-wloutput
Section: devel
Priority: optional
Maintainer: liuyong <liuyong@deepin.com>
Build-Depends: debhelper (>= 11), libkf5wayland-dev, pkg-config, cmake
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/dde-wloutput

Package: dde-wloutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: this is dde-wloutput 
 for wayland

## dde-wloutput 2.0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde_wloutput)

set(TARGET_NAME dde_wloutput)

add_executable(${TARGET_NAME} src/main.cpp)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS Core DBus REQUIRED)
find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
find_package(DWayland) # DWayland的LIB和INCLUDE的cmake配置暂时有问题，目前通过全路径寻找

target_link_libraries(${TARGET_NAME}
    Qt5::Core
    DWaylandClient
)

=== debian/changelog ===
dde-wloutput (2.0.2.1-1) unstable; urgency=medium

  * update

 -- liuyong <liuyong@deepin.com>  Fri, 02 Dec 2022 13:28:24 +0800

dde-wloutput (2.0.2.1) unstable; urgency=medium

  * dde-flow-sprint3

 -- Tan Feng <tanfeng@uniontech.com>  Fri, 21 Oct 2022 15:37:24 +0800

dde-wloutput (2.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 修复wayland环境下设置分辨率异常的问题(Task: 147205)(Influence: 正常设置分辨率)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 11:33:10 +0800

dde-wloutput (2.0.1) unstable; urgency=medium

  * dde-flow-sprint1

 -- Tan Feng <tanfeng@uniontech.com>  Tue, 21 Jun 2022 16:49:56 +0800

dde-wloutput (2.0.0.1) unstable; urgency=medium

  * Modify project name

 -- fanpengcheng <fanpengcheng@uniontech.com>  Wed, 15 Jun 2022 19:15:26 +0800

dde-wloutput (2.0.0.0) unstable; urgency=medium

  * release 2.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:22:13 +0800

=== debian/control ===
Source: dde-wloutput
Section: devel
Priority: optional
Maintainer: liuyong <liuyong@deepin.com>
Build-Depends: debhelper (>= 11), libdwayland-dev, pkg-config, cmake, extra-cmake-modules
Standards-Version: 4.1.3
Homepage: https://github.com/linuxdeepin/dde-wloutput
#Vcs-Browser: https://salsa.debian.org/debian/kvu-display
#Vcs-Git: https://salsa.debian.org/debian/kvu-display.git

Package: dde-wloutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>
